$a = Action->new("lint", "-lint");
$a->setUsage("-lint", "Run lint.bat on component (example only, not implemented!)");
$a->setAction(
  sub {
    my ($action, $buildEntry) = @_;
    main::runCmd("lint.bat", ".");
    return 1;
  }
);

$o = Option->new("softwareversion", "-sv");
$o->setUsage("-sv <major> <minor>", "Define software version numbers.\nDefines env vars MTV_MAJOR_VERSION and MTV_MINOR_VERSION");
$o->setOptionParser(
  sub {
    my ($option, $cmdLineOption) = @_;
    $ENV{'MTV_MAJOR_VERSION'} = main::nextArg($cmdLineOption);
    $ENV{'MTV_MINOR_VERSION'} = main::nextArg($cmdLineOption);
  }
);
